Package org.springframework.format

# Interface Formatter<T>

Type Parameters:
  `T` - the type of object this Formatter formats

All Superinterfaces:
  `Parser<T>`, `Printer<T>`

All Known Implementing Classes:
  `AbstractNumberFormatter`, `CurrencyStyleFormatter`, `CurrencyUnitFormatter`, `DateFormatter`, `DurationFormatter`, `InstantFormatter`, `MonetaryAmountFormatter`, `NumberStyleFormatter`, `PercentStyleFormatter`

public interface Formatter<T> extends Printer<T>, Parser<T>
Formats objects of type T. A Formatter is both a Printer and a Parser for an object type.

Since:
  3.0
Author:
  Keith Donald

## Method Summary

### Methods inherited from interface org.springframework.format.Parser

`parse`

### Methods inherited from interface org.springframework.format.Printer

`print`